#
# If RFKILL is enabled BUT there is no WiMAX support, we fake it is disabled.
#
#

if ! grep -q '^CONFIG_RFKILL=' $objtree/.config
then
    exit 0
fi

echo "include/config.h:#define CONFIG_RFKILL"
if ! grep -q 'RFKILL_TYPE_WIMAX' $srctree/include/linux/rfkill.h
then
    cat 1>&2 <<EOF
I: RF-kill support enabled without WiMAX support (< 2.6.24)
   Faking WiMAX support using the Bluetooth radio type
EOF
    echo "include/config.h:#define NEED_RFKILL_WIMAX_ON_BT"
fi
